.comment-block {
    /*padding: 0 4px;*/
    padding: 25px 4px 13px;
    position: relative;
}

#comments_wrapper {
    position: relative;
    margin-bottom: 30px;
}

#comments_wrapper::before,
#comments_wrapper::after {
    content: '';
    display: block;
    width: calc(100% + 4rem);
    margin-left: -2rem;
    height: 10px;
    background-color: #171926;
}


.comment-block .comment a {
    border-bottom: none;
}

.comment-block__header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    /*padding: 27px 2px 12px;*/
    padding: 0 2px 12px;
}

.comment-block__content {
    margin-bottom: 35px;
    display: none;
}

.comment-block__header-left {
    /*font-weight: bold;*/
    font-size: 20px;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.comment-block__header-center {
    display: none;
    text-align: center;
}

.comment-block__header-center.--no-comments {
    display: block;
}

.comment-block__total {
    font-size: 12px;
    line-height: 1.4;
    letter-spacing: -0.02em;
    font-weight: normal;
    color: #90919F;
    padding-top: 4px;
    margin-left: 6px;
}

.comment-block__visibility-toggle {
    font-size: 14px;
    margin-left: -19px;
    line-height: 20px;
    vertical-align: middle;
    cursor: pointer;
    -webkit-transition: color .3s ease-in-out;
    -o-transition: color .3s ease-in-out;
    transition: color .3s ease-in-out;
}

.comment-block__visibility-toggle:hover {
    color: #79858C;
}

.comment-block__visibility-toggle:after {
    content: "\f077";
    font-weight: 900;
    font-family: "Font Awesome 5 Free";
    font-size: 13px;
    margin-left: 5px;
    line-height: 20px;
    vertical-align: middle;
    display: inline-block;
    color: #E85F63;
}

.comment-block__show-comments {
    margin-bottom: 27px;
    text-align: center;
}

.comment-block__show-comments .comment-block__visibility-toggle:after {
    vertical-align: baseline;
    -webkit-transform: rotateX(180deg);
    transform: rotateX(180deg);
}

.comment-block__show-form {
    font-weight: bold;
    font-size: 14px;
    border-bottom: 3px solid #E85F63;
    cursor: pointer;
    -webkit-transition: color .3s ease-in-out;
    -o-transition: color .3s ease-in-out;
    transition: color .3s ease-in-out;
}

.comment-block__show-form:hover {
    color: #79858C;
}

.comment-block__area {
    margin: 5px 0 40px;
    display: none;
}

.comment-block__notice {
    padding-bottom: 19px;
}

.comment-block__content .comment-respond {
    padding: 0 23px 15px;
}

.comment {
    /* -webkit-box-shadow: 0 6px 15px #eeeeee;
     box-shadow: 0 6px 15px #eeeeee;
     border: 1px solid #EDEBEB;*/
    padding: 19px 25px 19px;
    margin-bottom: 9px;
}

.comment.--main {
    -webkit-box-shadow: none;
    box-shadow: none;
    border: 2px solid #E5E7F2;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 5px;
    /*border-top: none;
    border-bottom: none;
    border-right: none;
    border-left: 5px solid #FFE043;*/

    margin-bottom: 20px;
    /*background: #FAFAFA;*/
}

.comment.--main .comment__content {
    /*padding: 14px 0 0;*/
}

.comment__header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.comment__author {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.comment__author-avatar {
    width: 45px;
    height: 45px;
    border-radius: 50%;
    overflow: hidden;
    background-color: #eceff1;
    margin-right: 9px;
    font-size: 0;
    line-height: 0;
}

.comment__author-avatar img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.comment__author-name {
    font-weight: bold;
    margin-right: 10px;
    -webkit-transition: color .3s ease-in-out;
    -o-transition: color .3s ease-in-out;
    transition: color .3s ease-in-out;
    font-size: 14px;
}

.comment__author-to {
    font-size: 12px;
    -webkit-transition: color .3s ease-in-out;
    -o-transition: color .3s ease-in-out;
    transition: color .3s ease-in-out;
}

.comment__author-to:before {
    content: '';
    width: 13px;
    height: 10px;
    display: inline-block;
    margin-right: 6px;
    background-image: url("/wp-content/themes/supermc/images/svg/reply-arrow.svg");
    background-size: cover;
    background-repeat: no-repeat;
}

.comment__author-position-info {
    color: #90919F;
    font-size: 12px;
}

.comment__author-company {
    position: relative;
    display: inline-block;
    color: black;
    border-bottom: 2px solid #FFE043;
    margin-left: 20px;
    -webkit-transition: color .3s ease-in-out;
    -o-transition: color .3s ease-in-out;
    transition: color .3s ease-in-out;
}

.comment__author-company:hover {
    color: #79858C;
}

.comment__author-company:before {
    content: '@';
    margin-right: 4px;
    color: #79858C;
    position: absolute;
    left: -20px;
}

.comment__rating-btn {
    color: #9B9B9B;
    cursor: pointer;
    -webkit-transition: color .3s ease-in-out;
    -o-transition: color .3s ease-in-out;
    transition: color .3s ease-in-out;
    font-size: 12px;
}

.comment__rating-btn .fa-sort-up::before {
    top: 2px;
    position: relative;
    /*vertical-align: bottom;*/
}

.comment__rating-btn .fa-sort-down::before {
    /*vertical-align: text-top;*/
    top: -3px;
    position: relative;
}

.comment__rating-btn:hover,
.comment__rating-btn.voted {
    color: black;
}

.comment__rating-sum {
    color: #393939;
    font-weight: bold;
    font-size: 12px;
    margin: 0 5px;
    min-width: 37px;
    display: inline-block;
    text-align: center;
}

.comment__rating-sum.--negative {
    color: #E85F63;
}

.comment__rating-sum.--positive {
    color: #00C920;
}

.comment__content {
    font-size: 14px;
    line-height: 1.5;
    letter-spacing: -0.02em;
    padding: 14px 0 21px;
}

.comment .comment__content p {
    font-size: 14px;
    line-height: 1.5;
    letter-spacing: -0.02em;
    color: #1a1919;
    padding-bottom: 10px;
}

.comment .comment__content p:last-child {
    padding-bottom: 0;
}

.comment__footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    -webkit-box-align: baseline;
    -ms-flex-align: baseline;
    align-items: baseline;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding-right: 9px;
    color: #79858C;
}

.comment__footer .comment__rating {
    display: none;
}

.comment__date {
    margin-left: auto;
    font-size: 12px;
    line-height: 1.4;
    color: #90919F;
}

.comment__rating {
    -ms-flex-negative: 0;
    flex-shrink: 0;
}

.comment__rating_wrapper {
    padding: 6px 10px;
    background: #FAFAFB;
    border-radius: 5px;
}

.comment__answers .comment__rating_wrapper {
    background: #fff;
}

.comment .comment__rating_wrapper.--positive {
    background: rgba(0, 201, 32, 0.05);
}

.comment .comment__rating_wrapper.--negative {
    background: rgba(251, 237, 237, 0.5);
}

.comment__reply {
    font-size: 12px;
    margin-right: 39px;
    cursor: pointer;
    -webkit-transition: color .3s ease-in-out;
    -o-transition: color .3s ease-in-out;
    transition: color .3s ease-in-out;
    color: rgba(0, 0, 0, 0.5);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.comment__reply:hover,
.comment__reply a:hover {
    color: black;
}

.comment__reply a {
    color: rgba(0, 0, 0, 0.5);
}

.comment__reply:before {
    color: rgba(0, 0, 0, 0.5);
    content: "\f27a";
    font-weight: 400;
    font-family: "Font Awesome 5 Free";
    margin-right: 9px;
    font-size: 17px;
}

.comment__complain {
    display: inline-block;
    position: relative;
    margin-right: 24px;
    cursor: pointer;
    -webkit-transition: color .3s ease-in-out;
    -o-transition: color .3s ease-in-out;
    transition: color .3s ease-in-out;
    color: rgba(0, 0, 0, 0.5);;
    font-size: 13px;
}

.comment__complain:hover {
    color: #E85F63;
}

.comment__complain:hover .comment__complain-dropdown {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
}

.comment__complain-dropdown {
    position: absolute;
    color: black;
    -webkit-box-shadow: 0px 20px 30px rgb(0 0 0 / 20%);
    box-shadow: 0px 20px 30px rgb(0 0 0 / 20%);
    top: 28px;
    background-color: white;
    left: 0;
    min-width: 230px;
    z-index: 2;
    padding: 14px 0;
    -webkit-transform: translateY(20px);
    -ms-transform: translateY(20px);
    transform: translateY(20px);
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

.comment__complain-dropdown-item {
    padding: 5px 20px;
    font-size: 14px;
    line-height: 1.3;
    -webkit-transition: background-color .3s ease-in-out;
    -o-transition: background-color .3s ease-in-out;
    transition: background-color .3s ease-in-out;
}

.comment__complain-dropdown-item:hover {
    background-color: #eceff1;
}

.comment__complain-dropdown-item.active {
    background-color: #eceff1;
    pointer-events: none;
}


.complain_modal {
    display: none;
    position: fixed;
    right: 30px;
    top: 100px;
    background-color: #fff;
    -webkit-box-shadow: 0 0 16px 4px rgb(0 0 0 / 20%);
    box-shadow: 0 0 16px 4px rgb(0 0 0 / 20%);
    height: auto;
    max-width: 280px;
    min-height: 60px;
    vertical-align: middle;
    width: 60%;
    border-radius: 0;
    border-left: 2px solid #228b22;
}

.complain_modal__content {
    padding: 10px 15px;
    font-family: Georgia;
    font-size: 16px;
    line-height: 1.5;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.complain_modal__content i {
    font-size: 37px;
    color: #228b22;
    margin-right: 20px;
}

.comment__answers {
    padding: 10px 0 0 0;
}

.comment__answers.--children {
    padding: 0;
    margin-bottom: 5px;
}

.comment__answers .comment__answers.--children:last-child {
    margin-bottom: 0;
}

.comment__answers .comment {
    background: rgba(23, 25, 38, 0.02);
    border-radius: 5px;
    padding: 15px;
    margin-bottom: 5px;
}

.comment__answers .comment:last-of-type {
    margin-bottom: 0;
}

.comment + .comment-respond {
    margin-bottom: 15px;
}

.comment-area {
    border: 2px solid #EDEBEB;
}

.comment-area__field {
    color: #79858C;
    height: 120px;
    width: 100%;
    padding: 16px 18px;
    font-size: 16px;
    letter-spacing: -0.02em;
    border: none;
    outline: 0;
    resize: none;
}

.comment-area__field::-webkit-input-placeholder {
    color: #79858C;
}

.comment-area__field::-moz-placeholder {
    color: #79858C;
}

.comment-area__field:-ms-input-placeholder {
    color: #79858C;
}

.comment-area__field::-ms-input-placeholder {
    color: #79858C;
}

.comment-area__field::placeholder {
    color: #79858C;
}

.comment-area__field::-webkit-input-placeholder {
    color: #79858C;
}

.comment-area__field:-moz-placeholder {
    color: #79858C;
}

.comment-area__field::-moz-placeholder {
    color: #79858C;
}

.comment-area__field:-ms-input-placeholder {
    color: #79858C;
}

.comment-area__footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 6px 25px 17px;
}

.comment-area__right .form-submit {
    padding: 0;
}

.comment-area__btn {
    -webkit-appearance: none;
    outline: 0 !important;
    border: none !important;
    background-color: transparent;
    padding: 0;
}

.comment-area__btn svg path {
    -webkit-transition: fill .3s ease;
    -o-transition: fill .3s ease;
    transition: fill .3s ease;
}

.comment-area__btn:hover svg path {
    fill: black;
}

.comment-area__send-btn {
    -webkit-appearance: none;
    outline: 0 !important;
    border: none !important;
    border-radius: 5px;
    background-color: #E85F63;
    font-weight: bold;
    font-size: 14px;
    padding: 10px 20px;
    text-align: center;
    -webkit-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
    color: #fff;
}

.comment-area__send-btn:hover {
    background-color: black;
    color: #E85F63;
}

.comment-area__btn-wrap {
    display: inline-block;
    margin-right: 19px;
}

.comment-area__btn-wrap [type="file"] {
    display: none;
}

.comment-area__left .comment-area__btn-wrap:last-of-type {
    margin-right: 0;
}

.commenting-disabled {
    text-align: center;
    padding: 25px 0 0;
    margin-bottom: -20px;
}

.commenting-disabled__text {
    font-size: 14px;
    color: #90919F;
    margin-bottom: 15px;
}

.commenting-disabled__btn {
    -webkit-appearance: none;
    outline: 0 !important;
    border: none !important;
    background-color: #E85F63;
    font-weight: bold;
    font-size: 14px;
    padding: 11px 20px;
    margin-bottom: 5px;
    text-align: center;
    -webkit-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
    color: #fff;
    letter-spacing: -0.02em;
    border-radius: 5px;
}

.commenting-disabled__btn:hover {
    background-color: black;
    color: #E85F63;
}

.comment__author-info .comment__date {
    display: none;
}

.loading {
    position: relative;
    height: 40px;
    /*margin-bottom: 40px;*/
    margin: 20px 0;
}
.loading::after {
    content: '';
    display: block;
    position: absolute;
    height: 40px;
    width: 60px;
    background-image: url('../images/loading.gif');
    z-index: 2;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    margin: auto;
    left: 0;
    right: 0;
}

.form-group .bsui .auth-modal__auth-by-service {
    border: 1px solid #D7D6D6;
    background-color: white;
    display: inline-block;
    width: 49%;
    padding: 8px 10px 5px;
    text-align: center;
    font-size: 0;
    line-height: 0;
    outline: 0;
    -webkit-transition: background-color .3s ease-in-out;
    -o-transition: background-color .3s ease-in-out;
    transition: background-color .3s ease-in-out;
}
.form-group .bsui .auth-modal__auth-by-service:hover {
    background-color: #f1f1f1;
}
.form-group .bsui .auth-modal__auth-by-service:focus {
    outline: 0;
}
.form-group .bsui .auth-modal__auth-by-service img {
    height: 25px;
}
.auth-modal__link {
    text-align: center;
}
.auth-modal__link span {
    font-weight: bold;
    cursor: pointer;
    border-bottom: 3px solid #FFE503;
    -webkit-transition: color .3s ease-in-out;
    -o-transition: color .3s ease-in-out;
    transition: color .3s ease-in-out;
}
.auth-modal__link span:hover {
    color: #79858C;
}

.form-group .bsui {
    max-width: 285px;
    margin: 70px auto 0;
    position: relative;
}

.form-group .bsui hr {
    display: none;
}

.form-group .bsui .text-muted {
    display: block;
    font-size: 14px;
    line-height: 18px;
    color: #000000 !important;
    margin-bottom: 15px !important;
}


@media screen and (max-width: 1599px) {
    .comment-block__header-center {
        width: 100%;
        -webkit-box-ordinal-group: 4;
        -ms-flex-order: 3;
        order: 3;
        margin-top: 15px;
    }

    .comment-block__header-left {
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1;
    }

    .comment-block__header-right {
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
    }
}

@media screen and (max-width: 1250px) {
    .comment__header {
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start;
    }

    .comment__author {
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start;
    }

    .comment__author-name {
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1;
    }

    .comment__author-to {
        -webkit-box-ordinal-group: 4;
        -ms-flex-order: 3;
        order: 3;
    }

    .comment__author-position-info {
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
    }

    .comment__author-info-top {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }
}

@media screen and (max-width: 1199px) {
    .comment-block__header-left {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start;
    }

    .comment-block__total {
        margin-left: 0;
        padding-top: 0;
        padding-left: 0;
    }

    .comment__author-position-info {
        display: none;
    }

    .comment__reply {
        margin-right: 17px;
        font-size: 14px;
    }

    .comment__complain {
        font-size: 14px;
        margin-right: 10px;
    }

    .comment__date {
        font-size: 12px;
    }

    .comment__author-info .comment__date {
        display: block;
        -webkit-box-ordinal-group: 5;
        -ms-flex-order: 4;
        order: 4;
        width: 100%;
    }

    .comment__footer .comment__date {
        display: none;
    }

}

@media screen and (max-width: 991px) {
    .comment__header {
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .comment__author {
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }

    .comment__author-info-top {
        display: block;
        -webkit-box-orient: initial;
        -webkit-box-direction: initial;
        -ms-flex-direction: initial;
        flex-direction: initial;
    }

    .comment-block__header-center {
        width: auto;
        margin-top: 0;
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
    }

    .comment-block__header-left {
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1;
    }

    .comment-block__header-right {
        -webkit-box-ordinal-group: 4;
        -ms-flex-order: 3;
        order: 3;
    }
}

@media screen and (max-width: 767px) {
    #comments_wrapper::before,
    #comments_wrapper::after {
        width: calc(100% + 2rem);
        margin-left: -1rem;
    }

    .comment-block {
        padding: 30px 0 0;
    }

    .comment-block__header {
        padding: 0 0 20px;
    }

    .comment-block__header-left {
        font-size: 18px;
        width: 50%;
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1;
    }

    .comment-block__header-center {
        width: 100%;
        -webkit-box-ordinal-group: 4;
        -ms-flex-order: 3;
        order: 3;
        text-align: center;
        margin-top: 9px;
    }

    .comment-block__header-right {
        width: 50%;
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
        text-align: right;
    }

    .comment-block__total {
        /*padding: 3px;*/
        height: auto;
        font-size: 13px;
        /*line-height: 1;*/
    }

    .comment-block__content {
        margin: 0 -23px 31px;
    }

    .comment-block__show-form {
        font-size: 14px;
    }

    .comment {
        padding: 16px 17px 18px;
    }

    .comment.--main .comment__content {
        padding: 9px 0 15px;
    }

    .comment.--main {
        margin: 0 -15px 18px;
        padding: 18px 8px 15px;
        border-left: none;
        border-right: none;
        border-radius: 0;
    }

    .comment__author-avatar {
        width: 40px;
        height: 40px;
    }

    .comment__header .comment__rating {
        /*display: none;*/
    }

    .comment__content {
        padding: 8px 0 15px;
    }

    .comment__footer {
        padding-right: 15px;
        -webkit-box-pack: start;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }

    .comment__date {
        margin-left: 0;
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1;
        width: 50%;
        margin-bottom: 15px;
    }

    .comment__reply {
        -webkit-box-ordinal-group: 4;
        -ms-flex-order: 3;
        order: 3;
        margin-right: 34px;
        font-size: 14px;
    }

    .comment__reply:before {
        margin-right: 9px;
        font-size: 13px;
    }

    .comment__complain {
        -webkit-box-ordinal-group: 5;
        -ms-flex-order: 4;
        order: 4;
        margin-right: 0;
        font-size: 14px;
    }

    .comment__complain-dropdown {
        left: -18px;
    }

    .comment__footer .comment__rating {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        flex-shrink: 0;
        -ms-flex-negative: 0;
        -webkit-box-pack: end;
        -ms-flex-pack: end;
        justify-content: flex-end;
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
        width: 50%;
        text-align: right;
    }

    .comment__answers {
        padding: 15px 0 0;
    }

    .comment__answers .comment {
        padding: 0 0 5px 15px;
        margin-bottom: 15px;
    }

    .comment__answers .comment__author {
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start;
    }

    .comment__author-info-top {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: baseline;
        -ms-flex-align: baseline;
        align-items: baseline;
    }

    .comment__author-name {
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1;
    }

    .comment__author-to {
        -webkit-box-ordinal-group: 4;
        -ms-flex-order: 3;
        order: 3;
    }

    .comment__author-position-info {
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
    }

    .comment-area__field {
        padding: 11px 14px;
    }

    .comment-area__footer {
        padding: 11px 12px 12px;
    }

    .commenting-disabled {
        padding: 15px 0 15px;
    }
}

@media screen and (max-width: 374px) {
    .comment-block__header-left {
        font-size: 14px;
    }

    .comment-block__header-right {
        font-size: 14px;
    }
}